Skip to content
34 lines (26 sloc) 531 Bytes
language: node_js
node_js:
- "0.10"
- "0.12"
- "4"
sudo: false
addons:
apt:
sources:
- ubuntu-toolchain-r-test
packages:
- g++-4.8
before_install:
- npm install -g npm@2
- npm config set spin false
notifications:
irc:
channels:
- "irc.mozilla.org#fxa-bots"
use_notice: false
skip_join: false
install:
# use c++-11 with node4, default compiler on downlevel versions
- if [ $TRAVIS_NODE_VERSION == "4" ]; then CXX=g++-4.8 npm install; else npm install; fi
script:
- npm test
Jump to Line
Something went wrong with that request. Please try again.